Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#9 Segfault on rm

closed
Ben Fennema
None
5
2001-08-13
2001-07-18
Anonymous
No

Have an IBM Stinkpad (hehe) A22m running Suse 7.2 with
all recent updates.

DVDRAM is SCSI Panasonic LF-D101 & disk is formatted
with mkudf on another system.

Compiled the module several different ways, including
make config/make module/make tools/make install, and
get the same problem regardless.

Can mount and read fine, but when I rm a file it
segfaults immediately and the drive is hung up. Umount
& rmmod show device is busy. Have to completely reboot.

Jul 18 12:05:46 hydra kernel: udf: registering filesystem
Jul 18 12:06:00 hydra /USR/SBIN/CRON[1827]: (mdom) CMD
(/usr/bin/python -S /usr/lib/mailman/cron/qrunner)
Jul 18 12:06:02 hydra kernel: UDF-fs DEBUG
../linux-2.4/lowlevel.c:57:udf_get_last_session: XA
disk: no, vol_desc_start=0
Jul 18 12:06:02 hydra kernel: UDF-fs DEBUG
../linux-2.4/super.c:1410:udf_read_super: Multi-session=0
Jul 18 12:06:04 hydra kernel: UDF-fs DEBUG
../linux-2.4/super.c:1419:udf_read_super: Lastblock=0
Jul 18 12:06:04 hydra kernel: UDF-fs DEBUG
../linux-2.4/super.c:410:udf_vrs: Starting at sector 16
(2048 byte sectors)
Jul 18 12:06:04 hydra kernel: UDF-fs DEBUG
../linux-2.4/super.c:760:udf_load_pvoldesc: recording
time 994277762/294000, 2001/07/04 20:16 (1000)
Jul 18 12:06:04 hydra kernel: UDF-fs DEBUG
../linux-2.4/super.c:770:udf_load_pvoldesc: volIdent[]
= 'PANA-UDF'
Jul 18 12:06:04 hydra kernel: UDF-fs DEBUG
../linux-2.4/super.c:777:udf_load_pvoldesc:
volSetIdent[] = '2AE4A201PANA-UDF'
Jul 18 12:06:04 hydra kernel: UDF-fs DEBUG
../linux-2.4/super.c:961:udf_load_logicalvol: Partition
(0:0) type 1 on volume 1
Jul 18 12:06:04 hydra kernel: UDF-fs DEBUG
../linux-2.4/super.c:971:udf_load_logicalvol: FileSet
found in LogicalVolDesc at block=0, partition=0
Jul 18 12:06:04 hydra kernel: UDF-fs DEBUG
../linux-2.4/super.c:807:udf_load_partdesc: Searching
map: (0 == 0)
Jul 18 12:06:04 hydra kernel: UDF-fs DEBUG
../linux-2.4/super.c:840:udf_load_partdesc:
unallocatedSpaceBitmap (part 0) @ 2
Jul 18 12:06:04 hydra kernel: UDF-fs DEBUG
../linux-2.4/super.c:881:udf_load_partdesc: Partition
(0:0 type 1511) starts at physical 272, block length
1218416
Jul 18 12:06:04 hydra kernel: UDF-fs DEBUG
../linux-2.4/super.c:1210:udf_load_partition: Using
anchor in block 256
Jul 18 12:06:04 hydra kernel: UDF-fs DEBUG
../linux-2.4/super.c:732:udf_find_fileset: Fileset at
block=0, partition=0
Jul 18 12:06:04 hydra kernel: UDF-fs DEBUG
../linux-2.4/super.c:793:udf_load_fileset: Rootdir at
block=77, partition=0
Jul 18 12:06:04 hydra kernel: UDF-fs INFO UDF
0.9.4.1-rw (2001/06/13) Mounting volume 'PANA-UDF',
timestamp 2001/07/04 14:16 (1e98)
Jul 18 12:06:39 hydra kernel: kernel BUG at inode.c:1030!
Jul 18 12:06:39 hydra kernel: invalid operand: 0000
Jul 18 12:06:39 hydra kernel: CPU: 0
Jul 18 12:06:39 hydra kernel: EIP: 0010:[iput+218/348]
Jul 18 12:06:39 hydra kernel: EFLAGS: 00210282
Jul 18 12:06:39 hydra kernel: eax: 0000001c ebx:
c8530c20 ecx: c7be2000 edx: cca11f7c
Jul 18 12:06:39 hydra kernel: esi: d12fb100 edi:
c7c0e260 ebp: c7be3fa4 esp: c7be3f50
Jul 18 12:06:39 hydra kernel: ds: 0018 es: 0018 ss:
0018
Jul 18 12:06:39 hydra kernel: Process rm (pid: 1832,
stackpage=c7be3000)
Jul 18 12:06:39 hydra kernel: Stack: c0243cb0 c0243d53
00000406 c7c0e260 c8530c20 c0144288 c8530c20 00000000
Jul 18 12:06:39 hydra kernel: c85302c0 c013dc23
c7c0e260 c7c0e260 c7c0e260 c8ecf000 c013dcf7 c85302c0
Jul 18 12:06:39 hydra kernel: c7c0e260 c7be2000
bffff6ae 00000000 bffff36c c7c0e160 cb3cdb40 c8ecf000
Jul 18 12:06:39 hydra kernel: Call Trace:
[d_delete+76/108] [vfs_unlink+307/352]
[sys_unlink+167/296] [system_call+51/64]
Jul 18 12:06:39 hydra kernel:
Jul 18 12:06:39 hydra kernel: Code: 0f 0b 83 c4 0c eb
6f 39 1b 74 3b f6 83 fc 00 00 00 0f 75 26

Discussion

  • Ben Fennema
    Ben Fennema
    2001-07-28

    Logged In: YES
    user_id=518

    What kernel version?

     
  • Ben Fennema
    Ben Fennema
    2001-07-28

    • assigned_to: nobody --> bfennema
     
  • Logged In: NO

    Suse kernel 2.4.4-4GB, but I've had this segfault with
    RH2.4.2, RH2.4.2, RH2.4.5 and vanilla 2.4.2 and 2.4.5 as
    well. With Redhat, for some reason they package UDF0.9.1,
    which is over a year old.

    Also compiled the 0.9.4, and 0.9.4.1 modules on RedHat and I
    could read/write to a disk that's been formatted UDF1.5 by
    SoftArch's FormatUDF, but when I put that disk back in
    Winders it says 'this disk is not formatted. Would you like
    to format it now?' Also formatted it in Winders with
    Panasonic's DVDRAM driver - same result. Tried 0.9.4.1 with
    Suse, and getting segfault.

    This DVDRAM works fine with Winders, but I've switched to
    Suse now and need it for backups and storage.

     
  • Ben Fennema
    Ben Fennema
    2001-08-13

    Logged In: YES
    user_id=518

    The rm crash should now be fixed in CVS. Make sure your
    mounting with -o strict if your trying to move data to
    windows. It might help.

     
  • Ben Fennema
    Ben Fennema
    2001-08-13

    • status: open --> closed